Bug 187124 - [PATCH] net/samba41: fix install/package failure when DOCS option is off
[PATCH] net/samba41: fix install/package failure when DOCS option is off
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Sunpoet Po-Chuan Hsieh
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-27 23:10 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2014-06-03 17:28 UTC (History)
1 user (show)

See Also:


Attachments
samba41-4.1.4.patch (768 bytes, patch)
2014-02-27 23:10 UTC, Sunpoet Po-Chuan Hsieh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2014-02-27 23:10:00 UTC
- Fix install/package failure when DOCS option is off

Port maintainer (timur@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.02.18 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-02-27 23:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->timur

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2014-03-14 12:27:58 UTC
Author: sunpoet
Date: Fri Mar 14 12:27:50 2014
New Revision: 348216
URL: http://svnweb.freebsd.org/changeset/ports/348216
QAT: https://qat.redports.org/buildarchive/r348216/

Log:
  - Fix install/package failure when DOCS option is off
  
  PR:		ports/187124
  Submitted by:	sunpoet (myself)
  Approved by:	maintainer (timeout, 14 days)

Modified:
  head/net/samba41/Makefile

Modified: head/net/samba41/Makefile
==============================================================================
--- head/net/samba41/Makefile	Fri Mar 14 12:26:45 2014	(r348215)
+++ head/net/samba41/Makefile	Fri Mar 14 12:27:50 2014	(r348216)
@@ -516,12 +516,12 @@ do-install:
 			@(cd ${INSTALL_WRKSRC} && ${SETENV} ${MAKE_ENV} ${PYTHON_CMD} ${INSTALL_WRKSRC}/${WAF_TOOL} ${MAKE_ARGS} ${INSTALL_TARGET})
 
 post-install:
+			@${LN} -sf smb.conf.5.gz ${STAGEDIR}${PREFIX}/man/man5/smb4.conf.5.gz
 .if ${PORT_OPTIONS:MDOCS}
 			@${MKDIR} ${STAGEDIR}${DOCSDIR}
 .	for doc in ${PORTDOCS}
 			@${INSTALL_DATA} ${WRKDIR}/${doc} ${STAGEDIR}${DOCSDIR}
 .	endfor
-			@${LN} -sf smb.conf.5.gz ${STAGEDIR}${PREFIX}/man/man5/smb4.conf.5.gz
 .endif
 # Run post-install script
 .for dir in ${SAMBA4_LOGDIR} ${SAMBA4_RUNDIR} ${SAMBA4_LOCKDIR} ${STAGEDIR}${SAMBA4_MODULEDIR} ${SAMBA4_PRIVATEDIR}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2014-03-14 12:29:04 UTC
State Changed
From-To: open->closed

Committed. Thanks! 


Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2014-03-14 12:29:04 UTC
Responsible Changed
From-To: timur->sunpoet

Committed. Thanks!
Comment 5 commit-hook freebsd_committer 2014-06-03 17:28:32 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Jun  3 17:28:23 UTC 2014
New revision: 356384
URL: http://svnweb.freebsd.org/changeset/ports/356384

Log:
  - Fix install/package failure when DOCS option is off

  This was committed in r348216 and erroneously reverted in r351659.

  PR:		ports/187124
  Submitted by:	sunpoet (myself)

Changes:
  head/net/samba41/Makefile